Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slasq4

    java.lang.Object
      org.netlib.lapack.Slasq4

    public class Slasq4

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASQ4 computes an approximation TAU to the smallest eigenvalue
     *  using values of d from the previous transform.
     *
     *  I0    (input) INTEGER
     *        First index.
     *
     *  N0    (input) INTEGER
     *        Last index.
     *
     *  Z     (input) REAL array, dimension ( 4*N )
     *        Z holds the qd array.
     *
     *  PP    (input) INTEGER
     *        PP=0 for ping, PP=1 for pong.
     *
     *  N0IN  (input) INTEGER
     *        The value of N0 at start of EIGTEST.
     *
     *  DMIN  (input) REAL
     *        Minimum value of d.
     *
     *  DMIN1 (input) REAL
     *        Minimum value of d, excluding D( N0 ).
     *
     *  DMIN2 (input) REAL
     *        Minimum value of d, excluding D( N0 ) and D( N0-1 ).
     *
     *  DN    (input) REAL
     *        d(N)
     *
     *  DN1   (input) REAL
     *        d(N-1)
     *
     *  DN2   (input) REAL
     *        d(N-2)
     *
     *  TAU   (output) REAL
     *        This is the shift.
     *
     *  TTYPE (output) INTEGER
     *        Shift type.
     *
     *  Further Details
     *  ===============
     *  CNST1 = 9/16
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Field Summary
`static float` | `g`

Constructor Summary
`Slasq4()`

Method Summary
`static void` | `slasq4(int i0, int n0, float[] z, int _z_offset, int pp, int n0in, float dmin, float dmin1, float dmin2, float dn, float dn1, float dn2, floatW tau, intW ttype)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### g

    public static float g

Constructor Detail

### Slasq4

    public Slasq4()

Method Detail

### slasq4

    public static void slasq4(int i0,
                              int n0,
                              float[] z,
                              int _z_offset,
                              int pp,
                              int n0in,
                              float dmin,
                              float dmin1,
                              float dmin2,
                              float dn,
                              float dn1,
                              float dn2,
                              floatW tau,
                              intW ttype)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD